Skip to main content
POST
Get Subscription List

Endpoint Overview

POST https://api.unibee.dev/merchant/subscription/list Get Subscription List

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Email
string<string>

The filter email of subscription user

amountEnd
integer<*int64>

The filter end amount of subscription

amountStart
integer<*int64>

The filter start amount of subscription

count
integer<int>

Count Of Page

createTimeEnd
integer<int64>

CreateTimeEnd,UTC timestamp,seconds

createTimeStart
integer<int64>

CreateTimeStart,UTC timestamp,seconds

currency
string<string>

The currency of subscription

externalUserId
string<string>

ExternalUserId

page
integer<int>

Page, Start With 0

planIds
integer<int64>[]

The filter ids of plan

planTagFilter
object
productIds
integer<int64>[]

The filter ids of product, invalid if planIds is provided

searchKey
string<string>

Search SubscriptionId|Email

sortField
string<string>

Sort Field,gmt_create|gmt_modify,Default gmt_modify

sortType
string<string>

Sort Type,asc|desc,Default desc

status
integer<int>[]

Filter, Default All,Status,1-Pending|2-Active|3-Suspend | 4-Cancel | 5-Expire | 6- Suspend| 7-Incomplete | 8-Processing | 9-Failed

userId
integer<int64>

UserId

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>